/*
    HTML Self-Tutor Copyright (C) 2000  Myron Turner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

turnermm@home.com
mturner@cc.umanitoba.ca
info@www.mbvan.org


*/


var attrWindowActive = false;
var attrWin;

// *************** Contents Data****************

//					     1         2          3     4     5	     6		
var UList = new Array("Unordered List",     "UL",    "LI",       "LI", "UL"                );
var OList = new Array("Ordered List",       "OL",    "LI",       "LI", "OL"                );
var DefList = new Array("Definition List",  "DL",    "DT", "DD", "DT", "DD", "DL"          );
var Table = new Array ("Tables",            "TABLE", "CAPTION",  "TH", "TR", "TD", "TABLE" );

var Form = new Array(   "Form",			// 0
                        "FORM", 	        // 1
                        "INPUT",		// 2
                        "TEXTAREA",		// 3
                         "/TEXTAREA",      	// 4
                         "SELECT", 		// 5
                         "OPTION",		// 6
                         "/SELECT",		// 7
                         "FORM" 		// 8
                   );           

// HREF = <I>\"url\"</I> 
var Map = new Array( 
		"Map", "MAP NAME = <I>\"name\"</I> ", 
"AREA HREF= <I>\"url\"</I> COORDS=<I>\"x1,y1,x2,y2...\"</I> SHAPE = <I>\"shape\"</I>", 
		"MAP"
		);

var deflistNo = 0, formNo = 1, mapNo = 2, olistNo = 3, tableNo = 4, ulistNo = 5,  frameNo = 6;

var data = new Array(DefList, Form,  Map, OList, Table, UList);

// *************** END CONTENTS DATA****************


//********** Attribute Data ********************

var notesStart =  "<DL><DT><b>Notes:</b><DD><UL>";
var notesEnd   =  "</UL></DL>";
var ALIGN = "ALIGN = \"LEFT\"<BR>ALIGN = \"RIGHT\"<BR>ALIGN = \"CENTER\"";
VALIGN =    "ALIGN = \"TOP\"<BR>ALIGN = \"MIDDLE\"<BR>ALIGN = \"BOTTOM\"<BR>ALIGN = \"BASELINE\"";

var bgcolor = "<LI>BGCOLOR: either a standard color name or an RGB value; for"
	      + " standard colors see " + parent.opentag_literal("FONT") + " attributes"

var TABLE = new Array(
              ALIGN, 
	      "CELLSPACING=\"<I>n</I>\"", "CELLPADDING=\"<I>n</I>\"",		       
	      "WIDTH=\"<I>n</I>\"", "BORDER=\"<I>n</I>\"", "BGCOLOR=\"<I>color</I>\"",
	      notesStart 
              + "<LI>All <I>n</I> values are pixels" 
              + "<LI>ALIGN:  horizontal alignment of entire table"
	      + "<LI>CELLSPACING: distance between cells; with borders"
		+ " this creates borders of <I>n</I> pixels"
	      + "<LI>CELLPADDING: the internal margin space of a cell in pixels"
	      + "<LI>WIDTH: horizontal width of table"
	      + "<LI>BORDER:<OL>"
                    
		     + "<LI>specifies thickness of peripheral border"
		     + "<LI>indicates whether or not borders appear at all;"
			+ " with BORDER=0, which is the default, there is no peripheral border"
		        + " and no lines separating cells"
			+ " but with BORDER = \"10\" and CELLSPACING = \"1\""
			+ " you will have a 10 pixel peripheral border"
			+ " with 1 pixel lines separating the cells" 
			+ "</OL>"
		+ bgcolor
	      + notesEnd
	 );


var CAPTION = new Array(
            "ALIGN = \"TOP\"",  "ALIGN = \"BOTTOM\"",
	     notesStart
              + "<LI>Places caption at Top or Bottom of Table"
	      + notesEnd
             );


var alignNotes = "<LI>ALIGN: horizontal alignment of cell contents."
var valignNotes = "<LI>VALIGN: vertical alignment of cell contents. With \"baseline\" alignment"
		  + " the first line of text is aligned with the baseline of the text in"
		  + " the adjacent cells even if font sizes differ."
var alignNotesGeneral = "<LI>The ALIGN and VALIGN values of <i>cell elements</i>, "
			+ parent.opentag_literal("TD") + " and " + parent.opentag_literal("TH")
			+ "take precedence over the alignment values of the "
			+ parent.opentag_literal("TR") + " element."

var colspan = "<LI>COLSPAN/ROWSPAN: these enable a cell to span more than one row or column"
		+ " in width or height.";
var closingtag = "<LI><b>This element has an optional closing tag.</b>";

var TD = new Array
               (
	        ALIGN, "ALIGN=\"JUSTIFY\"",
		VALIGN, "BGCOLOR=\"<I>color</I>\"",
                "ROWSPAN=<I>\"rows\"</I>", "COLPAN=<I>\"cols\"</I>",
		"NOWRAP",			
		notesStart
		+ alignNotes + valignNotes + alignNotesGeneral + bgcolor + colspan
		+ closingtag
		+ notesEnd 		
                 );

var TH = TD;

var TR = new Array(ALIGN, "ALIGN=\"JUSTIFY\"", VALIGN, "BGCOLOR=\"<I>color</I>\"",
		notesStart
		+ alignNotes + valignNotes + alignNotesGeneral + bgcolor
		+ closingtag
		+ notesEnd 
		);

var UL = new Array( "TYPE = \"Circle\"", "TYPE = \"Disc\"", "TYPE = \"Square\"",
		notesStart
                + "<LI> These attributes specify the kind of bullet which the list will use."
		+ "<LI> When TYPE is specified in an " + parent.opentag_literal("LI")
		 + " element, the type of the " + parent.opentag_literal("LI") 
		+ " takes precdence."
		+ notesEnd 
		);
// var number = "";

var numbering = "<LI>TYPE: specifies the numbering or lettering system which will be used in the list."
		+ " When used in an " + parent.opentag_literal("LI") + " element,"
		+ parent.opentag_literal("LI") + " takes precedence over the type"
		+ " specified in " + parent.opentag_literal("OL") +  "."

var OL = new Array( 
    		"TYPE = \"1\"", "TYPE = \"a\"", "TYPE = \"A\"", "TYPE = \"i\"", 
                "TYPE = \"I\"", "START = \"<i>n</i>\"",
		notesStart
		+ numbering
		+ "<LI>START: sets the starting value for the TYPE."
		+ notesEnd 
	);
var OL_LI = new Array( 
    		"TYPE = \"1\"", "TYPE = \"a\"", "TYPE = \"A\"", "TYPE = \"i\"", 
                "TYPE = \"I\"", "VALUE = \"<i>n</i>\"",
		notesStart
		+ numbering
		+ "<LI>VALUE: sets a new value for the TYPE; subsequent numbering"
		+ " or lettering will proceed from the new VALUE."
		+ notesEnd 
	);

// FORM
var FORM = new Array(
		"ACTION=<I>\"url\"</I>", "METHOD=<I>\"protocol\"</I>", 
		"ENCTYPE=<I>\"type\"</I>",
		notesStart 
		+ "<LI>ACTION: a URL that specifies either a CGI script on the server" 
		+ " or an email address in the form of"
		+ "<CENTER><CODE>mailto:name@adress</CODE></CENTER>"
		+ "<LI>METHOD: either GET (default) or POST; the GET Method appends the"
		+ " form data to the URL, while POST sends it as a separate block of data"
		+ "<LI> ENCTYPE: this controls the way in which form data is treated"
		+ " When sent using the POST method, the default - for both Methods - is encoded:"
		+ " <CENTER><CODE>application/x-www-form-urlencoded</CODE></CENTER>"
		+ " but POST data can also be sent as <CENTER><CODE>text/plain</CODE></CENTER>"
                + " which is straight ASCII text."
		+ "<LI>When using the <i>mailto</i> URL as your ACTION, you should use"
		+ " METHOD=\"POST\" and ENCTYPE=\"text/plain\""
		+ "<LI>Form data consists of NAME=VALUE pairs, where the NAME identifies"
		+ " the INPUT, SELECT, or other data-gathering element, and VALUE is whatever"
		+ " text has been entered, box or button checked or pressed, item selected"
		+ notesEnd 
			
		    );




function typeStart (type) { return "<LI>" + type +"<UL TYPE = \"Disc\">"; }
var typeEnd = "</UL>";
var INPUT = new Array(
		"NAME = <I>\"name\"</I> (<b>required</b>)", 
		"TYPE = <I>\"type\"</I> (<b>required</b>)",
		"CHECKED",
		"MAXLENGTH = <I>\"n\"</I>", 
		"SIZE = <I>\"n\"</I>", 
		"VALUE = <I>\"value\"</I>", 
                notesStart
		+ typeStart("TYPE = \"checkbox\"")
		+ "<LI> Checkboxes are Boolean  entities (selected/not selected)." 
		+ "<LI>There may be more than one checkbox with the same NAME"
		+ " and different VALUES (see FORM example). A NAME=VALUE pair,"
		+ " is constructed for each box selected; each pair has the same NAME."
                + "<LI>CHECKED selects initial value for checkbox"
		+ typeEnd
		+ typeStart("TYPE = \"hidden\"")
		+ "<LI> Not visible in the browser window but present in the source"
		+ "<LI>Enables server-side scripts to embed information in the HTML document"
		+ " which can be acted on later at either client or server side; "
		+ " gives scripts a way to remember, e.g. a search engine, which can"
		+ " mark its current place in its database in the <i>hidden</i> INPUT"
		+ " returned to the user's browser"
		+ typeEnd
		+ typeStart("TYPE = \"image\"")
		+ "<LI> Creates an <i>active image</i> (see " +   parent.opentag_literal("IMG") + "),"
		+ " enabling you to use an image as a <i>Submit</i> button,"
		+ " and is like an image map, since clicking on"
		+ " it passes mouse coordinates directly to the server"
		+ " in the form of <i>NAME.x=x</i>, <i>NAME.y=y</i>"
		+ "<LI> Uses the same Attributes as" + parent.opentag_literal("IMG")
		+ typeEnd
		+ typeStart("TYPE = \"password\"")
		+ "<LI> Same as <i>text</i> type, except that the entered text is"
		+ " hidden, usually by asterisks"
		+ typeEnd
		+ typeStart("TYPE = \"radio\"")		
		+ "<LI>VALUE  is required."
		+ "<LI>Like checkboxes, radio buttons are either on or off; but unlike"
		+ " checkboxes only <b>one</b> button with the same NAME can be on at"
		+ " any one time; this is enforced by the browser."
		+ " Radio buttons are the INPUT type to use when you want a user to "
		+  " choose only one of several choices."
		+ typeEnd
		+ typeStart("TYPE = \"reset\"")		
		+ "<LI>Clicking the Reset Button returns all values in form back to the"
		+ " values set in their VALUE attributes."
		+ "<LI>Any text assigned to the optional VALUE attribute will appear"
		+ " as the label of the reset button; without VALUE the label defaults"
		+ " to <I>Reset</I>."
		+ typeEnd
		+ typeStart("TYPE = \"submit\"")		
		+ "<LI>Sends the form's NAME=VALUE pairs to the URL named as the form's"
		+ " ACTION.  Like the Reset button, this button's label defaults"
		+ " to <I>Submit</I> unless labled otherwise with the VALUE attribute."
		+ typeEnd
		+ typeStart("TYPE = \"text\"")	
		+ "<LI> A one-line text-box, which scrolls if the input is greater"
		+ " than the width of the box"
		+ "<LI>SIZE sets the width of the box in characters."
		+ "<LI>MAXLENGTH sets the maximum length of allowable character input;"
		+ " this can be greater than SIZE, hence the need for scrolling."
		+ typeEnd
		+notesEnd
		);

var SELECT = new Array(
		"NAME = <I>\"name\"</I> (<b>required</b>)", 
		"SIZE = <I>\"n\"</I>", 
		"MULTIPLE",
                notesStart		
		+ "<LI>" + parent.opentag_literal("SELECT") + " creates a list of choices,"
		+ " which are specified by " + parent.opentag_literal("OPTION") + " elements."
		+ "<LI>SIZE: the number of choices to display."
		+ "<LI>MULTIPLE: enables multiple values to be selected."
		+ " When MULTIPLE is enabled minimum SIZE is determined by the"
		+ " browser. "
		+notesEnd
		);

var OPTION = new Array (
		"VALUE = <I>\"value\"</I>", 
		"SELECTED",
                notesStart		
		+ "<LI>The " + parent.opentag_literal("OPTION") + " element has "
		+ " an optional closing tag " + parent.closetag_literal("OPTION")
		+ " because, like a text-formatting element, it contains a string"
		+ " of text.  This text serves as the label for the choice and if"
		+ " VALUE is absent it becomes the value of the OPTION."
		+ "<LI>	SELECTED: default choice"
		+notesEnd
		);

var TEXTAREA = new Array (
		"NAME = <I>\"name\"</I> (<b>required</b>)", 
		"COLS = <I>\"n\"</I> (<b>required</b>)", 
		"ROWS = <I>\"n\"</I> (<b>required</b>)", 
                notesStart
		+ "<LI>" + parent.opentag_literal("TEXTAREA") + " creates a"
		+ " window in which the user can enter blocks of text of virtually"
		+ " any size."
		+ "<LI>The window uses a fixed-width font, the height and width"  
		+ " of which determine the width of each column and the height of"
		+ " each row specified by COLS and ROWS.  Scrollbars enable"
		+ " the user to enter text greater than ROWS and COLS."
		+notesEnd
		);


var attr_data = new Array();
attr_data[ulistNo] = new Array(UList, UL, UL, UL);
attr_data[olistNo] = new Array(OList, OL, OL_LI, OL_LI);
attr_data[tableNo] = new Array(Table, TABLE, CAPTION, TH,TR,TD);
attr_data[formNo] = new Array(Form, FORM, INPUT, TEXTAREA,null, SELECT, OPTION);

// ***************END ATTRIBUTE DATA************

function write_anchor (ele, n1, n2, id) {
   var win_no = n1;
   if(n2 > 0) {
      win_no = 10*(n1+1) + n2;     
   }
   document.writeln("<A ID=\"" + id +"\" href = \"javascript:display(" + n1 +")\" ");
   document.write("onmouseOver=\"openAttrWin(" + win_no + ");\" >");
   document.writeln(ele + "</a>");
}


var optionals = new Array("DD","DT", "LI", "TH", "TD", "TR");
var optLen = optionals.length;
function writeOptional(tag) {
  for(var i= 0; i < optLen; i++) {
        if(optionals[i] == tag) {         
          document.write("(" + parent.closetag_literal(tag) + ")");
          return;
        } 
    }
}

function struct_toc_prn() {
      
      document.write("<TABLE>");

      for (var i = 0; i < data.length; i++) {
         if(i == tableNo ) {
              tables_toc(i);
              continue;
          }
          for (var j = 0; j < data[i].length; j++) {         
               
           if(j == 0) {
              document.writeln("<TR><TD NOWRAP>");
              write_anchor(data[i][j], i, -1, 0);
		}
           else if(j == data[i].length - 1) {
                   document.writeln("<BR>" + parent.closetag_literal(data[i][j]) + "</TD></TR>"); 
                }
           else {
     	        	
                // document.writeln("<FONT SIZE =  \"-1\">");

                document.writeln("<BR>");
                if(i == formNo) 
                    makeFormEntry(data[i][j], j, i);           
                else
                  write_anchor(parent.opentag_literal(data[i][j]), i, j, "A1");  

                 if(j != 1 ) {
                     if(data[i][j] == "DT") 
                         document.writeln("<BR>&nbsp;&nbsp;&nbsp;<I>Term</I>")
  		     else if(data[i][j].indexOf("AREA") == 0) {
			   document.writeln("<BR>");
			   write_anchor(parent.opentag_literal(data[i][j]), i, j, "A1");  
			   continue;
                     }
                     else if(i != formNo)                         
                           document.writeln("<BR>&nbsp;&nbsp;&nbsp;<I>Item</I>")
                   }
                  writeOptional(data[i][j]);
                // document.writeln("</FONT>");
                 }  
            }
      }

//     tables_toc(i);
     document.write("</TABLE><BR>");
}

function makeFormEntry(tag, n, formarray) {

 if(n == 2 || n == 3 || n == 5) {
     if(n == 2) tag += " TYPE = <i>\"type\"</i> ";
     tag += " NAME = <i> \"name\"</i>";
 }
 
 if(n == 6) document.write("&nbsp;&nbsp;&nbsp;");

 write_anchor(parent.opentag_literal(tag), formarray, n, "A1");                   
 
 if(n == 6) {
    document.write(
 "&nbsp;<i>identifier</i>&nbsp;&nbsp;&nbsp;(" + parent.closetag_literal("OPTION") + ")" );
 }
 else if (n == 3) {
     document.write("<BR>&nbsp;&nbsp;&nbsp;<i>Optional Text as Initial Value</i>");
 } 


 
}

function tables_toc(n) {
    document.writeln("<TR><TD NOWRAP>");
    write_anchor(Table[0], n, -1, 0);
              
    for(var i = 1; i < Table.length; i++) {

         if(i == Table.length - 1) {
                document.writeln("<BR>" + parent.closetag_literal(Table[i]));  
                continue; 
         }

        write_anchor("<BR>" + parent.opentag_literal(Table[i]), n, i, "A1");  

        if(i == 2) {  // <CAPTION>
              document.writeln("<I>Caption Text</I>");
              document.writeln(parent.closetag_literal(Table[i]));  
         } 
        
        if(i == 3) {  // <TH>
            document.writeln("<br>&nbsp;&nbsp;&nbsp;<I>Heading</I>");
	    writeOptional(Table[i]);
            continue
        }
       
       if(i == 5) { // <TD>
           document.writeln("<br>&nbsp;&nbsp;&nbsp;<I>Text/Image/Object</I>");
	   writeOptional(Table[i]);
           document.writeln("<BR>")	
	   writeOptional("TR");	
        }
     
    }        
}

table_caption = "Food Groups";
var item = new Array("apples", "salmon, tuna, sea-bass, mackeral, pike, flounder, herring, whales, porpoises, goldeye, carp",
                     "turkeys, duck, pheasant, chickens",
                     "pasta, bread","beans, lentils", "cane, beets");
var defitem = new Array("fruit", "fish", "fowl", "starches", "legumes", "sugars");


function display(n) {

  if(n == tableNo) { 
       return table_display();       
  } 
  else  if(n == formNo) { 
        return form_display(); 
  }
  else if(n == mapNo) {

      return map_display();
  }

  var itemno = 0;
  var str = "<b>" + data[n][0] + "</b>\n";

    for (var j = 1; j < data[n].length; j++) {    
          if(j == data[n].length - 1) {
	     str += parent.endtag(data[n][j]);
          }
          else {
              str += "<" + data[n][j] + ">\n"; 
              if(j != 1) {
                   if(data[n][j] == "DT") {
                     str += defitem[itemno] + "\n"; 
                   }
                   else { 
                      str += item[itemno].italics() + "\n";
                      itemno++; 
                     } 
                   } 
                }  
     }

    prn_toDisplay(str);
}


function prn_toDisplay(str) {
    parent.Main.HTMLtoFormWin(str); // write string to Form window
    parent.Main.displayHTML(0);    // display string in display window

}



function map_display() {
   var str = "<b>" + Map[0] + "</b><br>\n";

   for (var j = 1; j < Map.length; j++) {   
       if(j == Map.length - 1) {
	   str += parent.endtag(Map[j]);     
          }
       else if(j == 1) {
           str += parent.opentag("MAP NAME = \"map\"");   
      }
       else {
         str += parent.opentag("AREA HREF= \"blank.html\" COORDS=\"0,0,50,50\" SHAPE = \"rect\"");   
         str += parent.opentag("AREA HREF= \"HTMLhelp.html\" COORDS=\"0,51,51,100\" SHAPE = \"rect\"");   
        }
   }
   str += "\n<P><b>No Display for MAP</b><br>\n";   
   prn_toDisplay(str);
}

function form_display() {
   var itemno = 0;
   var str = "<b>" + Form[0] + "</b>\n";
   for (var j = 1; j < Form.length; j++) { 

          if(j == Form.length - 1) {
             str += "&nbsp;&nbsp;&nbsp;&nbsp;<INPUT TYPE = \"SUBMIT\">&nbsp;&nbsp;&nbsp;&nbsp;<INPUT TYPE = \"RESET\">\n";
	     str += parent.endtag(Form[j]); 
             continue;  
          }
          if (j == 1) {
             str += parent.opentag(Form[j] +  "  ACTION = \"formReply.html\"");  
             continue;  
          }
          if(j == 2) {     // INPUT
             str += "<B>Enter Text:</B>&nbsp;\n<INPUT TYPE = \"text\" NAME = \"getline\">\n"; 
             str += "&nbsp;&nbsp;&nbsp;&nbsp;\n<B>Choose:&nbsp;&nbsp;\n(A)</B><INPUT TYPE = \"radio\" NAME = \"choice\" VALUE = \"A\">\n";  
             str += "<B>(B)</B><INPUT TYPE = \"radio\" NAME = \"choice\" VALUE = \"A\"><BR>\n";  
             str += "<B>Select Favorite Food Group(s)</B>\n"
	     str +=  defitem[0] + "<INPUT TYPE = \"checkbox\" NAME = \"groups\" VALUE = \""
	  	     +  defitem[0] + "\">&nbsp;&nbsp;\n";  
	     str +=  defitem[1] + "<INPUT TYPE = \"checkbox\" NAME = \"groups\" VALUE = \""
	  	     +  defitem[1] + "\">&nbsp;&nbsp;\n";  
	     str +=  defitem[2] + "<INPUT TYPE = \"checkbox\" NAME = \"groups\" VALUE = \""
	  	     +  defitem[2] + "\">&nbsp;&nbsp;\n";  
	     str +=  defitem[3] + "<INPUT TYPE = \"checkbox\" NAME = \"groups\" VALUE = \""
	  	     +  defitem[3] + "\">&nbsp;&nbsp;\n";  
             continue;  
          }
          if(j == 3) {
              str += "<BR><B>Enter your comments: </B><BR>\n"
              str += parent.opentag(Form[j] + "  NAME = \"comment\" ROWS = \"3\" COLS=\"50\"");
              str += "Comment:\n";
              continue;  
          }
          if(j == 5) {
	      str += "<BR><B>Select from Foods:</B><BR>" + parent.opentag(Form[j] 
                                   + "  NAME = \"selection\"");	
              continue;  
	  }	
          if(j == 6) {
              str +=  parent.opentag(Form[j]) + " " + defitem[0] + "\n";
	      str += parent.opentag(Form[j]) + " " + defitem[1] + "\n";
              str += parent.opentag(Form[j]) + " " + defitem[2] + "\n";
	      continue;		
	  }	         
          str += parent.opentag(Form[j]);

   }

   str += "\n\n<!-- http://www.umanitoba.ca/cgi-bin/sch_art/vars.pl -->";
   prn_toDisplay(str);
}


function table_display() {

   var str = "<b>" + Table[0] + "</b>\n";
   for (var j = 1; j < Table.length; j++) {   
       if(j == Table.length - 1) {
	     str += parent.endtag(Table[j]);   
          }
        else if(j == 1)  { //<TABLE> 
             str += parent.opentag("TABLE  CELLPADDING = \"10\" BORDER");
        } 
        else if(j == 2) {  // <CAPTION>
          str += parent.opentag(Table[j]);
          str += table_caption;
          str += parent.endtag(Table[j]);   
        }
       else if(j == 3) {  // <TH>  
         for(var i = 0; i < 3; i++) {
           str += parent.opentag(Table[j]);
           str += defitem[i] + "\n";  
         }    
       }
      else if(j == 5) {  // <TD>  
         for(var i = 0; i < 3; i++) {
           str += parent.opentag(Table[j]);
           str += item[i] + "\n";
         }
      }
        else {   
          str += parent.opentag(Table[j]);              
        }

   }
  prn_toDisplay(str);
}



function openAttrWin(n) {  

 // calculate array numbers - see write_anchor() for formula:
 //    win_no = 10*(n1+1) + n2;     
 // where n1 is main element number (e.g. OL) and n2 is sub-element number (e.g. LI)
  var att_set = n%10;  //att_set: attributes associated a tag (win_no in write_anchor() formula)
  n = (n - att_set) - 10;
  n /= 10;
    
 //for first elmement n is always -1
 //  e.g. n = 3; att_set = 3%10 = 3; (3-3)-10 = -10; -10/10 = -1
  if(n < 0) {    
       n = att_set;
       att_set = 1;  //first element is always first tag <UL>, <OL>, etc.
 }
					//alert(n + "  " + att_set);
  if(!attr_data[n]) return;

  var element = attr_data[n][0][0] + " (" + attr_data[n][0][att_set] + ")";

  parent.openAttrWin(att_set, attr_data[n], element );

}

function setAttrWin(bool) {
  attrWindowActive = bool;
  if(!attrWindowActive) 
     if(parent.attrWin  && parent.attrWin.open) parent.attrWin.close();
}

