/*
    HTML Self-Tutor Copyright (C) 2000  Myron Turner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

turnermm@home.com
mturner@cc.umanitoba.ca
info@www.mbvan.org


*/

var attrWindowActive = false;
var tag_name = new Array();
var o_tag = new Array();
var c_tag = new Array();
var text  = new Array();
var at = new Array();    // array of attributes, each element assigned to its tag in data
var attr = new Array();  // references to at guaranteed to be aligned with tag arrays


var par = "HTML is not really a programming Language.  It's what's known as " +
          "a mark-up language and uses in-line codes called tags to tell the " +
          "browser how to display texts and images.  However, since its initial development " +
          "ca. 1994 HTML has become increasingly complex in order to support " +
          "a wide variety of styles, images, and texts.";

var line = "This is a sample line of text.";

var pre = "Name			Address			Phone\n" +
          "Jones, Jack          16 Whippet St.		555-6161\n" +
          "Smith, Jane          111 Spaniel St.		555-8181";

var notesStart =  "<DL><DT><b>Notes:</b><UL>";
var notesEnd   =  "</UL></DL>";
var  noClosingTag = "<LI><b> There is no closing tag for this element.</b>"

at[0] = new Array(
              "HREF=<i>\"URL\"</i>", 
              "NAME=<i>\"bookmark\"</i>" ,
              "TARGET= <i>\"window-name\"</i>" ,
		notesStart
                   + "<LI>NAME bookmarks a place in an HTML document" 
                   + " which can be linked-to directly. In the URL referencing the bookmark"
		   + " the bookmark is preceded by the # sign. See the examples."
                   + "<LI>TARGET specifies the name of a window in which"
  		   + " to display the linked-to page.  Usually the window-name"
		   + " is the name of a frame set with the NAME attribute of the "
		   +   parent.opentag_literal("FRAME")	+ "tag. If no frame or"  
		   + " window with that name exists, a new browser window is opened." 					
                   + "\n<LI>Presest TARGET NAMES: <TABLE cellspacing = \"10\">"
		         + "\n<TR><TD VALIGN = \"top\">_blank <TD> opens new window"
		         + "\n<TR><TD VALIGN = \"top\">_self  <TD> replaces current document with referenced data"
		         + "\n<TR><TD VALIGN = \"top\">_parent<TD> places new page in the window or frame of the document which"
			 + " which called up the current document"
		         + "\n<TR><TD VALIGN = \"top\">_top<TD> places new page in the window holding the"
			 + " document which initiated the process of calling up all current frames and windows. "
			 + " Usually, this means that in a browser subdivided into frames, "
		         + " the frames will disappear and be replaced by the new page. </TABLE>"
                   + "<LI>Examples: <DL><DT><DD><OL>" 
                   + "<LI><CODE>&lt;A NAME = \"toc\"&gt; &lt;H3&#62;Contents &#60;/H3&#62; &lt/A&gt;</CODE>" 
                   + "<LI><CODE>&lt;A href = \"index.html#toc\"&gt;back to contents&lt/A&gt;</CODE>" 
                   + "</DL></OL>"  
		+ notesEnd
            );



at[1] = new Array ( 
		"ALIGN=\"LEFT\"",
		"<BR>ALIGN=\"RIGHT\"",
		"<BR>ALIGN=\"CENTER\""
	  );

at[2] =  "ALIGN=\"JUSTIFY\"";

var alignNotes =  "<LI>these align text with respect to margins"
		+ "<LI>JUSTIFY aligns at both left and right margins"	
                + "<LI>default alignment is LEFT";	

at[3] = new Array(
                at[1], at[2],                 
                notesStart 
                + alignNotes
		+ notesEnd
         );

// BREAK
at[4] = new Array (
		"CLEAR =\"LEFT\"",
		"CLEAR =\"RIGHT\"",
		"CLEAR =\"ALL\"",
		 notesStart 
                  + " <LI>CLEAR shifts the next line to the first available line where"
		  + " LEFT, RIGHT, or ALL (i.e. both) margins are clear of text."
                  + "<LI> CLEAR RIGHT shifts the next line to the top right of an image, object, or table aligned at the"
		  + " left margin, causing text to wrap around right side of the element. CLEAR LEFT wraps around a right aligned element."
		  + "<LI> Though images, objects, and tables default to the left margin, "
                  + " in the case of tables you must explicitly specify"
		  + " left alignment if you want text to wrap around the right side of the table;"
		  + "  otherwise the text will print  below the table."                  
		  +  noClosingTag
		+ notesEnd		               
		);


at[5] = new Array (
		 notesStart 
			+ "<LI>indicates computer code, usually fixed-width font"
		+ notesEnd
);

//  FONT
at[6] = new Array (		
		 "SIZE=\"<i>n</i>\"",
	 	 "COLOR=\"<i>color</i>\"",
		 "FACE=\"<i>name</i>\"",
		 notesStart 
	 	  + "<LI>SIZE:&nbsp;&nbsp;\"n\" = 1 to 7 (default = 3) or -1 or +1 to increase or" 
                  + " decrease the size by one unit (see also <SMALL>" + parent.opentag_literal("BIG")
                  + " </SMALL>and <SMALL>" + parent.opentag_literal("SMALL")  + "</SMALL>)"
		  + "<LI>COLOR:&nbsp;&nbsp;either one of the"
                  + " 16 standard color names"
		  + " or an RGB color code.For RGB codes and their color equivalents, see Doug Jacobson's "
                  + " Color Chart at <A href=\"http://www.mbvan.org/reso/htmlrgbx.gif\" target = \"new\">"
		  + " Manitoba Visual Arts Network</A>"
		  + " or <A href = \"http://home.flash.net/~drj2142/rgb.html\" target = \"new\"> Doug's"
		  + " own web site.</A>.  For the standard colors scroll to bottom of this page."
		  + "<LI>For FACE use generic face names: monospace, sans-serif, serif"
		  + "<LI>The " +  parent.opentag_literal("FONT") + " tag, though useful, is deprecated because"
		  + " its effects cannot be trusted to appear the same on different systems"
		  + " and browsers and so should be used with care."		 
		+ notesEnd
		+ "<P><HR>\nThe Standard Colors"
                + " are red, green, blue, yellow, fushia, white, aqua, navy, gray, purple, "
 		+ " silver, maroon, lime, teal, olive, black."  
                + " If a color is not visible that is your background color.<br>"
                + "<BR>\n" + fontcolor("red")      + fontcolor("green")   + fontcolor("blue") 
			 + fontcolor("yellow")   + fontcolor("fushia")  + fontcolor("white") 
			 + "\n"
			 + fontcolor("aqua")     + fontcolor("navy")    + fontcolor("gray") 
			 + "\n"
			 + fontcolor("purple")   + fontcolor("silver")  + fontcolor("maroon")
			 + fontcolor("lime")     + fontcolor("teal")    + fontcolor("olive")
			 + fontcolor("black")

);

function fontcolor(color) {
   return ("<FONT SIZE = \"+1\" COLOR = \"" + color + "\">" + color + "</FACE>&nbsp;&nbsp;&nbsp"); 
}


// HORIZONTAL RULE
at[7] = new Array (		
                at[1], 
	        "SIZE = \"<i>n</i>\"",
		"WIDTH = \"<i>n</i>\"",
		"NOSHADE",
		 notesStart 
		+ "<LI>A horizontal rule starts a new line, so doesn't need to be preceded by "
		+ "a line-break or new paragraph"
		+ "<LI>SIZE:  height of rule in pixels"
		+ "<LI>WIDTH: width of rule either in pixels \"<i>n</i>\" or"
		+ " as a percent of the document width \"<i>n%</i>\"" 
		+ "<LI>ALIGN: meaningful only when the rule is not full width of page"
		+ "<LI>NOSHADE: takes no value; should give a solid line: <HR SIZE = \"5\" WIDTH = \"50%\" NOSHADE>"
		+ "as opposed to the default: <HR SIZE = \"5\" WIDTH = \"50%\">"
		+ "(These lines are: SIZE = \"5\"  WIDTH = \"50%\")" 
		+ noClosingTag
);


// IMAGE
at[8] = new Array (
		"SRC = <i>\"image url\"</i>",
		"ALT = <i>\"text\"</i>",
		"HEIGHT = <i>\"n\"</i>&nbsp;&nbsp;&nbsp;WIDTH = <i>\"n\"</i> ",
//		"WIDTH = <i>\"n\"</i>",
		"BORDER = <i>\"n\"</i>",
	    	"ALIGN = <i>\"position\"</i>",
		"VSPACE = <i>\"n\"</i>&nbsp;&nbsp;&nbsp;HSPACE = <i>\"n\"</i>",
//		"HSPACE = <i>\"n\"</i>",
		"USEMAP = <i>\"url\"</i>",
		"ISMAP",
		 notesStart 
		+ "<LI> All <i>\"n\"</i> values are pixels"
		+ "<LI> ALT: brief description of image for browsers that can't display images"
		+ "<LI> HEIGHT/WIDTH: image dimensions, speeds up loading; also can be"
		+ " used to scale image to new dimension"
		+ "<LI> ALIGN: specifies relationship of text to image;"
 		+ " <i>\"position\"</i> can be TOP, BOTTOM, MIDDLE, LEFT, RIGHT"
		+ " (default is BOTTOM).  LEFT and RIGHT align image with appropriate"
		+ " margin and wrap text around image on the open side"
		+ "<LI> HSPACE/VSPACE: specify horizontal and vertical space around image"

	 	+ "<LI> ISMAP: specifies an <i>active</i> or <i>clickable</i> image</i>"
		+ " when clicked browser sends mouse coordinates to a server-side script,"
		+ "which must be referenced in an anchor element that encloses the image:"
		+ " <BLOCKQUOTE><CODE>"
                + parent.opentag_literal("A HREF=\"/cgi-bin/imagemap/clickable.dat\"") + "<BR>"
                + parent.opentag_literal("IMG SRC=\"clickable.gif\"") + "<BR>"
		+ parent.closetag_literal("A")
		+ " </CODE></BLOCKQUOTE>"
		+ " <b>imagemap</b> is a program which can read your specially formatted database"
		+ " of mouse coordinates"
		+ "<LI>	USEMAP: specifies that this image is an <i>active image</i>"
		+ " which will be handled by the browser (and not the server); the"
		+ " URL references a " + parent.opentag_literal("MAP")
		+ " element either on the current or another page:"
		+ " <BLOCKQUOTE><CODE>"
                + parent.opentag_literal("IMG SRC=\"clickable.gif\" USEMAP=\"#mymap\"")
		+ parent.opentag_literal("IMG SRC=\"clickable.gif\" USEMAP=\"mapfile.html#mymap\"")
		+ " </CODE></BLOCKQUOTE>"
		+ "Here the map data is included in the " 
		+ parent.opentag_literal("MAP") + "element, which is named mymap (in the MAP'S NAME"
		+ " attribute)."	
		+ notesEnd
          
		);

// paragraph
at[9] = new Array(
                at[1], at[2],                 
                notesStart 
                + alignNotes
                + "<LI>The closing tag " + parent.closetag_literal("P")
                + "<b> is optional </b> but usually needed when using"
		+ " alignment attributes so as to mark end of aligned text."
		+ notesEnd
         );

var data = new Array (
	 "Anchor",		"A href = \"URL\"",	"A",			line,   at[0],
	 "Blockquote",  	"BLOCKQUOTE", 		"BLOCKQUOTE",		par,    null,
         "Big",			"BIG",			"BIG",			line,	null,
	 "Bold",		"B", 	 		"B",			line,	null,
         "Break (New Line)",	"BR",			 "",			line,	at[4],
	 "Center",       	"CENTER",		"CENTER",		par,	null,
         "Code",		"CODE",                  "CODE",                line,   at[5],
	 "Emphasis",		"EM",			"EM",			line,	null,
       	 "Font",         
            "FONT SIZE=\"n\", FACE=\"f\", COLOR=\"c\"", "FONT",         "See Font Example",   at[6],				
	 "Font Example", "FONT SIZE=\"+1\" FACE=\"ARIAL\" COLOR=\"BLUE\"", "FONT", par,	 at[6],			
	 "Heading 1",		 "H1",			 "H1",			line,   at[3],
	 "Heading 2",		 "H2",			 "H2",			line,	at[3],
	 "Heading 3",  		 "H3",			 "H3",			line,	at[3],
	 "Heading 4",  		 "H4", 			 "H4", 			line,	at[3],
	 "Heading 5", 		 "H5", 			 "H5", 			line,	at[3],
	 "Heading 6",  		 "H6",			 "H6",			line,	at[3],
	 "Horizontal Rule",  	 "HR", 			  "",			par,    at[7],
	 "Image",	     "IMG SRC=\"<i>image</i>\"",  "",			"",     at[8], 
	 "Italics",		 "I",			 "I",			line,	null,
	 "Paragraph", 		  "P", 			  "P" ,			par,	at[9],
	 "Pre-Formatted Text",    "PRE",		 "PRE",			pre,	null,
	 "Strike-out",		  "STRIKE",		"STRIKE",		line,	null,
	 "Strong",		  "STRONG",		"STRONG",		line,	null	
		
); 


//create arrays from data
var i, n;
for (i=0, n=0; i < data.length; i+=5, n++) {
        tag_name[n]  = data[i];    
        o_tag[n]     = data[i+1];
        c_tag[n]     = data[i+2];
        text[n]      = data[i+3];
        attr[n]      = data[i+4];

}



// Write tag data to tag window 

function toc_prn() {
     var i;

     document.write("<TABLE>");

      for(i=0; i < tag_name.length; i++) {
        document.writeln
          ("<TR><TD NOWRAP>\n<A href = \"javascript:display(" + i +")\"");
        document.write("onmouseOver=\"openAttrWin(" + i + ");\" >");
        document.writeln(tag_name[i] +"<BR>");        
        document.writeln("<SPAN ID = \"A1\">&nbsp;" + parent.opentag_literal(o_tag[i]));
        if(c_tag[i] != "") {
            if(c_tag[i] == "P") 
               document.write("<i>Text</i> (" + parent.closetag_literal(c_tag[i]) +")" );
             else
               document.write("<i>Text</i> " + parent.closetag_literal(c_tag[i]));
          }
	  
        document.writeln("</A></SPAN></TD></TR>");
      } 

     document.write("</TABLE>");
   
}


//  Write sample text from tag window into Dispaly Window

function display(n) {

  if(text[n] != par && text[n] != line && text[n] != pre) {
    parent.Main.HTMLtoFormWin(text[n]); 
    parent.Main.displayHTML(0);    
    return;
  }
  var sep = "<br>";
  if(o_tag[n] == "BR") sep = "<p>";
  var str = "This is some text without the " + tag_name[n] + " tag:\n"; 
  str += text[n] + "\n" + sep + sep + "\n";
  str += "\nThis is some text using the " + tag_name[n] + " tag:\n";    
  str += parent.opentag(o_tag[n]) + text[n] + "\n";    // str += "<" + o_tag[n] +">" + text[n] + "\n";
 
  if(c_tag[n] != "") 
     str += parent.endtag(c_tag[n]) + "\n";     // str += "</"+c_tag[n]+ ">\n";

  parent.Main.HTMLtoFormWin(str); 
  parent.Main.displayHTML(0);    
}

function setAttrWin(bool) {
  attrWindowActive = bool;
  if(!attrWindowActive) 
     if(parent.attrWin  && parent.attrWin.open) parent.attrWin.close();
}

function openAttrWin(n) { 
  parent.openAttrWin(n, attr, tag_name[n]);
}
